import { OnChanges } from '@angular/core';
import { EditFrameDataSource, EditButtonTypes } from '@sitecore-jss/sitecore-jss/editing';
import { LayoutServiceContextData, RouteData } from '@sitecore-jss/sitecore-jss/layout';
import * as i0 from "@angular/core";
export declare class EditFrameComponent implements OnChanges {
    dataSource: EditFrameDataSource;
    buttons: EditButtonTypes[];
    title: string;
    tooltip: string;
    cssClass: string;
    parameters: Record<string, string | number | boolean | undefined | null>;
    sitecore: LayoutServiceContextData & {
        route: RouteData<unknown> | null;
    };
    isEditing: boolean;
    frameProps: Record<string, unknown>;
    chromeData: string;
    ngOnChanges(): void;
    buildChromeData(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditFrameComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditFrameComponent, "sc-edit-frame,[sc-edit-frame]", never, { "dataSource": { "alias": "dataSource"; "required": false; }; "buttons": { "alias": "buttons"; "required": false; }; "title": { "alias": "title"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "parameters": { "alias": "parameters"; "required": false; }; "sitecore": { "alias": "sitecore"; "required": false; }; }, {}, never, ["*"], false, never>;
}
