import { OnChanges, SimpleChanges, TemplateRef, ViewContainerRef } from '@angular/core';
import { FileField } from './rendering-field';
import * as i0 from "@angular/core";
/**
 * File fields cannot be managed via the EE. We never output "editable."
 */
export declare class FileDirective implements OnChanges {
    private viewContainer;
    private templateRef;
    field: FileField;
    private viewRef;
    constructor(viewContainer: ViewContainerRef, templateRef: TemplateRef<unknown>);
    ngOnChanges(changes: SimpleChanges): void;
    private updateView;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FileDirective, "[scFile]", never, { "field": { "alias": "scFile"; "required": false; }; }, {}, never, never, false, never>;
}
