import { Injector } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { ComponentFactoryResult } from './jss-component-factory.service';
/**
 * @param {Injector} injector
 * @param {ActivatedRoute} activatedRoute
 * @param {Router} router
 * @returns resolved data
 */
export declare function dataResolverFactory(injector: Injector, activatedRoute: ActivatedRoute, router: Router): (factories: ComponentFactoryResult[]) => Promise<{
    factory: ComponentFactoryResult;
    data: Record<string, any>;
}[]>;
