import { RedirectCommand, UrlTree } from '@angular/router';
/**
 * Error thrown when a JssCanActivate guard returns a redirect value.
 * The redirect value will be used to redirect the user to a different route.
 */
export declare class JssCanActivateRedirectError extends Error {
    message: string;
    redirectValue: string | string[] | UrlTree | RedirectCommand;
    constructor(message: string, redirectValue: string | string[] | UrlTree | RedirectCommand);
}
