import { OnInit, Renderer2 } from '@angular/core';
import { JssStateService } from '../services/jss-state.service';
import * as i0 from "@angular/core";
/**
 * Component that renders editing scripts and client data for the current page in Sitecore Editor.
 * Only renders scripts when Metadata mode is used.
 */
export declare class EditingScriptsComponent implements OnInit {
    private renderer;
    private stateService;
    private document;
    constructor(renderer: Renderer2, stateService: JssStateService, document: Document);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditingScriptsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditingScriptsComponent, "sc-editing-scripts", never, {}, {}, never, never, false, never>;
}
