import { InjectionToken } from '@angular/core';
/**
 * Shape of the Sitecore Edge configuration.
 */
export type EdgeConfigToken = {
    sitecoreEdgeUrl?: string;
    sitecoreEdgeContextId: string;
};
/**
 * Injection token for the Sitecore Edge configuration.
 */
export declare const EDGE_CONFIG: InjectionToken<EdgeConfigToken>;
